members.dev
Docs
Invites

Accept Invite

Accepts an Invite

POST
/v1/invites/accept

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

token*string

Accept token from the invite email or create response.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.members.dev/v1/invites/accept" \  -H "Content-Type: application/json" \  -d '{    "token": "string"  }'
{
  "invite": {
    "id": "string",
    "organization_id": "string",
    "email": "user@example.com",
    "member_ids": [
      "string"
    ],
    "status": "pending",
    "organization_role": "admin",
    "expires_at": null,
    "accepted_at": {},
    "accepted_by_account_id": "string",
    "created_at": null,
    "updated_at": null
  },
  "organization_id": "string",
  "account_id": "string"
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}